Skip to main content
PUT
Update product

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

storeId
string<uuid>
required

The ID of the store.

productId
string<uuid>
required

The ID of the product to update.

Body

application/json

The Komerza.Common.Forms.Products.UpdateProductForm with new details.

Form for update a products basic information in a store

name
string
required

The name of the product, this is displayed publicly on the store page and marketplace

Required string length: 3 - 64
description
string
required

The description of the product, supports markdown and images from IMGBB only

Maximum string length: 16384
isBestSeller
boolean
required

Whether the product should be marked as the bestseller on the user's store page, does nothing for the marketplace

hideStock
boolean
required

When true, stock/quantity is hidden from customers on the storefront for this product and its variants.

visibility
enum<integer>
required

List of product visibility (or privacy) levels

Available options:
0,
1,
2,
3
slug
string | null

The slug of the product, if null then the ID is used

Required string length: 1 - 72
metadata
string | null

Custom metadata set by either the user or the system to store additional information about the product

Maximum string length: 20000

Response

The object was successfully updated.

Represents a default generic response for API endpoints.

success
boolean
required

Indicates whether the operation or response was successful.

message
string | null

A descriptive message providing additional context or information about the response.

code
string | null

The error code (if there was an error) to use when referencing the error

data
any | null

Represents the data associated with a response.

Last modified on August 29, 2025